<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="/">
        <html>
            <head>
                <title></title>
                <script type="text/javascript" src="missed_calls.js"></script>
            </head>
            <body>
                <xsl:choose>
                    <xsl:when test="authenticate and authenticate/@challenge">
                        <xsl:attribute name="onload">auth(&quot;<xsl:value-of select="authenticate/@challenge"/>&quot;);</xsl:attribute>    
                    </xsl:when>
                    <xsl:when test="missed-calls and missed-calls/@count">
                        <xsl:attribute name="onload">result(&quot;<xsl:value-of select="missed-calls/@count"/>&quot;);</xsl:attribute>        
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:attribute name="onload">result(&quot;0&quot;);</xsl:attribute>        
                    </xsl:otherwise>
                </xsl:choose>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>